package common.item;

import common.entity.npc.EntityNPC;
import common.init.Items;
import common.model.Transforms;
import common.world.World;

public class ItemSoup extends ItemFood
{
    public ItemSoup(int healAmount)
    {
        super(healAmount, false);
        this.setMaxStackSize(1);
    }

    /**
     * Called when the player finishes using this Item (E.g. finishes eating.). Not called when the player stops using
     * the Item before the action is complete.
     */
    public ItemStack onItemUseFinish(ItemStack stack, World worldIn, EntityNPC playerIn)
    {
        super.onItemUseFinish(stack, worldIn, playerIn);
        return new ItemStack(Items.bowl);
    }

    public Transforms getTransform() {
    	return Transforms.OFFSET1;
    }
}
